﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.OperationModel;

namespace LargeWriteMultiple
{
    class Program
    {
        static void Main(string[] args)
        {
            EasyUAClient easyUAClient1 = new EasyUAClient();
            List<UAWriteArguments> writeArgs = new List<UAWriteArguments>();

            for (int i = 0; i < 20000; i++)
            {
                writeArgs.Add(new UAWriteArguments("opc.tcp://localhost:49380", "nsu=TOP Server;ns=2;s=Channel1.Device1.Tag" + i.ToString(), new UAAttributeData(i)));
            }
            for (int i = 0; i < 15000; i++)
            {
                writeArgs.Add(new UAWriteArguments("opc.tcp://localhost:49380", "nsu=TOP Server;ns=2;s=Channel2.Device1.Tag" + i.ToString(), new UAAttributeData(i)));
            }
            UAWriteResult[] results = easyUAClient1.WriteMultiple(writeArgs.ToArray()); //do one write of all elements of the UDT array
            Console.WriteLine(results[34999]);
            Console.ReadLine();
        }
    }
}
